#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityFishingCeleGiftLotteryMapData
{
	//ID
	int mID;
	//初级/中级/高级
	int mType;
	//免费权重
	int mFreeWeight;
	//高级权重
	int mAdvWeight;
	//高级抽奖需道具
	int mAdvNeedItem;
	//抽奖项礼包
	int mGiftId;
};

class M_ActivityFishingCeleGiftLotteryMap
{
public:
private:
	static std::auto_ptr<M_ActivityFishingCeleGiftLotteryMap> msSingleton;
public:
	int GetCount();
	const M_ActivityFishingCeleGiftLotteryMapData* GetData(int ID);
	boost::unordered_map<int, M_ActivityFishingCeleGiftLotteryMapData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityFishingCeleGiftLotteryMap* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityFishingCeleGiftLotteryMapData> mMapData;
};
